#pragma once

#include "finder.h"

class ParallelFinder : public Finder {
private:
  const size_t thread_count_;
  const vector<string> &word_list_;

public:
  ParallelFinder(const vector<string> &word_list, size_t thread_count);
  vector<const string *> find_prefix(string_view search_term) const override;
};
