#include "timer.h"

#include <chrono>

Timer::Timer() { start(); };

void Timer::start() { start_ = std::chrono::high_resolution_clock::now(); }

void Timer::stop() { end_ = std::chrono::high_resolution_clock::now(); }

long Timer::us() const {
  return std::chrono::duration_cast<std::chrono::microseconds>(end_ - start_)
      .count();
}
